Share via


Operations Discovery - Get

GET https://management.azure.com/providers/Microsoft.Migrate/operations?api-version=2023-08-01

URI Parameters

Name In Required Type Description
api-version
query True

string

Client Api Version.

Responses

Name Type Description
200 OK

OperationsDiscoveryCollection

Success

Other Status Codes

CloudError

Error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

OperationsDiscovery_Get

Sample request

GET https://management.azure.com/providers/Microsoft.Migrate/operations?api-version=2023-08-01

Sample response

{
  "value": [
    {
      "name": "Read",
      "display": {
        "provider": "Microsoft.Migrate",
        "resource": "Microsoft.Migrate/moveCollections",
        "operation": "Read",
        "description": "Reads the move collection."
      },
      "origin": "user"
    },
    {
      "name": "Write",
      "display": {
        "provider": "Microsoft.Migrate",
        "resource": "Microsoft.Migrate/moveCollections",
        "operation": "Write",
        "description": "Creates or updates a move collection."
      },
      "origin": "user"
    }
  ]
}

Definitions

Name Description
CloudError

An error response from the service.

CloudErrorBody

An error response from the service.

Display

Contains the localized display information for this particular operation / action. These value will be used by several clients for (1) custom role definitions for RBAC; (2) complex query filters for the event service; and (3) audit history / records for management operations.

OperationsDiscovery

Operations discovery class.

OperationsDiscoveryCollection

Collection of ClientDiscovery details.

CloudError

An error response from the service.

Name Type Description
error

CloudErrorBody

Cloud error body.

CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

Display

Contains the localized display information for this particular operation / action. These value will be used by several clients for (1) custom role definitions for RBAC; (2) complex query filters for the event service; and (3) audit history / records for management operations.

Name Type Description
description

string

Gets or sets the description. The localized friendly description for the operation, as it should be shown to the user. It should be thorough, yet concise – it will be used in tool tips and detailed views. Prescriptive guidance for namespace: Read any 'display.provider' resource Create or Update any 'display.provider' resource Delete any 'display.provider' resource Perform any other action on any 'display.provider' resource Prescriptive guidance for namespace: Read any 'display.resource' Create or Update any 'display.resource' Delete any 'display.resource' 'ActionName' any 'display.resources'.

operation

string

Gets or sets the operation. The localized friendly name for the operation, as it should be shown to the user. It should be concise (to fit in drop downs) but clear (i.e. self-documenting). It should use Title Casing. Prescriptive guidance: Read Create or Update Delete 'ActionName'.

provider

string

Gets or sets the provider. The localized friendly form of the resource provider name – it is expected to also include the publisher/company responsible. It should use Title Casing and begin with "Microsoft" for 1st party services. e.g. "Microsoft Monitoring Insights" or "Microsoft Compute.".

resource

string

Gets or sets the resource. The localized friendly form of the resource related to this action/operation – it should match the public documentation for the resource provider. It should use Title Casing. This value should be unique for a particular URL type (e.g. nested types should not reuse their parent’s display.resource field) e.g. "Virtual Machines" or "Scheduler Job Collections", or "Virtual Machine VM Sizes" or "Scheduler Jobs".

OperationsDiscovery

Operations discovery class.

Name Type Description
display

Display

Contains the localized display information for this particular operation / action. These value will be used by several clients for (1) custom role definitions for RBAC; (2) complex query filters for the event service; and (3) audit history / records for management operations.

isDataAction

boolean

Indicates whether the operation is a data action

name

string

Gets or sets Name of the API. The name of the operation being performed on this particular object. It should match the action name that appears in RBAC / the event service. Examples of operations include:

  • Microsoft.Compute/virtualMachine/capture/action
  • Microsoft.Compute/virtualMachine/restart/action
  • Microsoft.Compute/virtualMachine/write
  • Microsoft.Compute/virtualMachine/read
  • Microsoft.Compute/virtualMachine/delete Each action should include, in order: (1) Resource Provider Namespace (2) Type hierarchy for which the action applies (e.g. server/databases for a SQL Azure database) (3) Read, Write, Action or Delete indicating which type applies. If it is a PUT/PATCH on a collection or named value, Write should be used. If it is a GET, Read should be used. If it is a DELETE, Delete should be used. If it is a POST, Action should be used. As a note: all resource providers would need to include the "{Resource Provider Namespace}/register/action" operation in their response. This API is used to register for their service, and should include details about the operation (e.g. a localized name for the resource provider + any special considerations like PII release).
origin

string

Gets or sets Origin. The intended executor of the operation; governs the display of the operation in the RBAC UX and the audit logs UX. Default value is "user,system".

properties

object

ClientDiscovery properties.

OperationsDiscoveryCollection

Collection of ClientDiscovery details.

Name Type Description
nextLink

string

Gets or sets the value of next link.

value

OperationsDiscovery[]

Gets or sets the ClientDiscovery details.